=== debian/control ===
Source: pianobooster
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Miriam Ruiz <miriam@debian.org>,
 Daniel Gimpelevich <daniel@gimpelevich.san-francisco.ca.us>,
 Barak A. Pearlmutter <bap@debian.org>
Build-Depends:
 cmake,
 debhelper-compat (= 12),
 libasound2-dev,
 libftgl-dev,
 libgl-dev,
 libglu1-mesa-dev,
 libqt5opengl5-dev,
 librtmidi-dev,
 qtbase5-dev,
 qtbase5-dev-tools,
 qttools5-dev
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://github.com/captnfab/PianoBooster
Vcs-Git: https://salsa.debian.org/games-team/pianobooster.git
Vcs-Browser: https://salsa.debian.org/games-team/pianobooster

Package: pianobooster
Architecture: any
Depends:
 fluid-soundfont-gm,
 fluid-soundfont-gs,
 fonts-dejavu-core,
 hicolor-icon-theme,
 timidity,
 unzip,
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 qttranslations5-l10n
Description: Learn the piano just by playing a game
 A MIDI file player/game that displays the musical notes AND teaches you how
 to play the piano.
 .
 PianoBooster is a fun way of playing along with a musical accompaniment and
 at the same time learning the basics of reading musical notation.
 The difference between playing along to a CD or a standard MIDI file
 is that PianoBooster listens and reacts to what you are playing on a
 MIDI keyboard.
 .
 To run Piano Booster you need a MIDI Piano Keyboard and a MIDI interface
 for the PC. If you don't have a MIDI keyboard you can still try out
 PianoBooster, using the PC keyboard ('x' is middle C), but a MIDI piano
 is really recommended.
