=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export QT_SELECT = 5

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_INSTALL_BINDIR=/usr/games \
		-DUSE_SYSTEM_FONT=ON \
		-DWITH_MAN=ON \
		-DNO_LICENSE=ON \
		-DNO_CHANGELOG=ON

# Not much benefit from compressing the little markdown documentation files.
override_dh_compress:
	dh_compress --exclude=.md
