## pianobooster 0.7.2b

=== debian/changelog ===
pianobooster (0.7.2b-1) unstable; urgency=medium

  * New upstream release
  * Set upstream metadata fields: Repository.
  * Remove obsolete field Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Fix day-of-week for changelog entry 0.6.7~svn156-0ppa2~trusty.

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 04 Mar 2020 12:26:02 +0000
