=== translations/CMakeLists.txt ===
--- 
+++ 
@@ -17,18 +17,13 @@
      pianobooster_sv.ts
      pianobooster_uk.ts
      pianobooster_zh.ts
-     music_ru.ts
-     music_uk.ts
 )
 
 if(INSTALL_ALL_LANGS)
-file (GLOB TRANSLATIONS_FILES "*.ts")   
+file (GLOB TRANSLATIONS_FILES "*.ts")
 endif()
 
 get_filename_component(full_path_blank_ts ${CMAKE_CURRENT_SOURCE_DIR}/pianobooster_blank.ts ABSOLUTE)
-list(REMOVE_ITEM TRANSLATIONS_FILES ${full_path_blank_ts})
-
-get_filename_component(full_path_blank_ts ${CMAKE_CURRENT_SOURCE_DIR}/music_blank.ts ABSOLUTE)
 list(REMOVE_ITEM TRANSLATIONS_FILES ${full_path_blank_ts})
 
 FIND_PACKAGE(Qt5 REQUIRED COMPONENTS LinguistTools)
