=== debian/changelog ===
pianobooster (1.0.0-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with CMake 4. (Closes: #1113405)

 -- Adrian Bunk <bunk@debian.org>  Sat, 11 Oct 2025 15:40:35 +0300

pianobooster (1.0.0-4) unstable; urgency=medium

  * Team Upload
  * Remove old dependency on timidity (Closes: #1036529)
  * Use team new canonical ML name in d/control

 -- Alexandre Detiste <tchet@debian.org>  Sun, 17 Nov 2024 16:16:33 +0100

pianobooster (1.0.0-3) unstable; urgency=medium

  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.2, no changes needed.
  * Track upstream development
  * Add course to doc-base

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 19 Feb 2023 12:55:44 +0000

pianobooster (1.0.0-2) unstable; urgency=medium

  * Actually enable internal interface to fluidsynth

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 21 Dec 2020 21:01:09 +0000

pianobooster (1.0.0-1) unstable; urgency=medium

  * debhelper 13
  * New upstream release
  * Bump policy
  * Use system libfluidsynth

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 21 Dec 2020 11:20:22 +0000
