=== debian/control ===
--- 
+++ 
@@ -8,8 +8,9 @@
  Barak A. Pearlmutter <bap@debian.org>
 Build-Depends:
  cmake,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  libasound2-dev,
+ libfluidsynth-dev,
  libftgl-dev,
  libgl-dev,
  libglu1-mesa-dev,
@@ -19,7 +20,7 @@
  qtbase5-dev-tools,
  qttools5-dev
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/captnfab/PianoBooster
 Vcs-Git: https://salsa.debian.org/games-team/pianobooster.git
 Vcs-Browser: https://salsa.debian.org/games-team/pianobooster
@@ -31,7 +32,6 @@
  fluid-soundfont-gs,
  fonts-dejavu-core,
  hicolor-icon-theme,
- timidity,
  unzip,
  ${misc:Depends},
  ${shlibs:Depends}
