=== debian/watch ===
# Watch control file for uscan
# Run the "uscan" command to check for upstream updates and more.
# See uscan(1) for format

version=4
https://github.com/captnfab/PianoBooster/tags \
   (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate
